Skip to main content
POST
/
cdr
/
v1
/
doctor
Create Doctor Profile
curl --request POST \
  --url https://api.eka.care/cdr/v1/doctor/ \
  --header 'Content-Type: application/json' \
  --header 'auth: <auth>' \
  --data '
{
  "firstname": "Rajesh",
  "lastname": "Sharma",
  "mobile": "0000011111",
  "dob": "1999-01-01",
  "email": "dr.rajesh@example.com",
  "gender": "M",
  "specialisations": [
    "Cardiology",
    "Internal Medicine"
  ],
  "qualifications": [
    "MBBS",
    "MD",
    "DM"
  ],
  "about": "Dr. Rajesh Sharma is a renowned cardiologist with over 15 years of experience in interventional cardiology.",
  "profile_image_url": "https://example.com/images/dr-rajesh.jpg",
  "clinic_ids": [
    "c-ab2c-34f2d-2gwd-2g2g"
  ],
  "partner_clinic_ids": [
    "Part_clinic_1"
  ],
  "partner_id": "Part_doc"
}
'
{
  "status": "success",
  "ekaid": "do1769174683513"
}

Documentation Index

Fetch the complete documentation index at: https://ekacare-mintlify-changelog-may2-april-monthly-1777856908.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

auth
string
required

The auth token of the business. It is used to authenticate the client. This should be fetched from auth api.

Example:

"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM"

Body

application/json

Request body for creating a doctor profile

firstname
string
required

Doctor's first name

Example:

"Rajesh"

lastname
string
required

Doctor's last name

Example:

"Sharma"

gender
enum<string>
required

Doctor's gender (M - Male, F - Female, O - Other)

Available options:
M,
F,
O
Example:

"M"

mobile
string

Doctor's mobile number (10 digits)

Example:

"0000011111"

dob
string

Doctor's date of birth (YYYY-MM-DD) default to 1990-01-01, if not provided.

Example:

"1999-01-01"

email
string<email>

Doctor's email address

Example:

"dr.rajesh@example.com"

specialisations
string[]

List of doctor's specializations. Refer to the Available Specializations section for valid values.

Example:
["Cardiology", "Internal Medicine"]
qualifications
string[]

List of doctor's qualifications/degrees. Refer to the Available Qualifications section for valid values.

Example:
["MBBS", "MD", "DM"]
about
string

Brief description about the doctor

Example:

"Dr. Rajesh Sharma is a renowned cardiologist with over 15 years of experience in interventional cardiology."

profile_image_url
string<uri>

URL of the doctor's profile image

Example:

"https://example.com/images/dr-rajesh.jpg"

clinic_ids
string[]

List of Eka clinic IDs to assign to this doctor

Example:
["c-ab2c-34f2d-2gwd-2g2g"]
partner_clinic_ids
string[]

List of partner clinic IDs to assign to this doctor

Example:
["Part_clinic_1"]
partner_id
string

Unique identifier provided by partner

Example:

"Part_doc"

Response

Created - Doctor successfully created

status
string
Example:

"success"

ekaid
string

Unique identifier for the created doctor

Example:

"do1769174683513"